cascading.operation.regex

## Class RegexGenerator

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.regex.RegexOperation<Pair<Matcher,Tuple>>
    - - cascading.operation.regex.RegexGenerator

- All Implemented Interfaces:
    DeclaresResults, Function<Pair<Matcher,Tuple>>, Operation<Pair<Matcher,Tuple>>, Traceable, Serializable

      public class RegexGenerator
      extends RegexOperation<Pair<Matcher,Tuple>>
      implements Function<Pair<Matcher,Tuple>>

  Class RegexGenerator will emit a new Tuple for every matched regex group.

  Note a `null` valued argument passed to the parser will be converted to an empty string (`""`) before the regex is applied.

  Any Object value will be coerced to a String type if type information is provided. See the `CoercibleType` interface to control how custom Object types are converted to String values.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.regex.RegexOperation

      `patternString`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexGenerator(Fields fieldDeclaration, String patternString)` Constructor RegexGenerator creates a new RegexGenerator instance.
    `RegexGenerator(String patternString)` Constructor RegexGenerator creates a new RegexGenerator instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operate(FlowProcess flowProcess, FunctionCall<Pair<Matcher,Tuple>> functionCall)` Method operate provides the implementation of this Function.
    `void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<Matcher,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

    - ### Methods inherited from class cascading.operation.regex.RegexOperation

      `equals, getPattern, getPatternString, hashCode`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

- - ### Constructor Detail

    - #### RegexGenerator

          @ConstructorProperties(value="patternString")
          public RegexGenerator(String patternString)

      Constructor RegexGenerator creates a new RegexGenerator instance.
      Parameters:
        `patternString` - of type String

    - #### RegexGenerator

          @ConstructorProperties(value={"fieldDeclaration","patternString"})
          public RegexGenerator(Fields fieldDeclaration,
                                                   String patternString)

      Constructor RegexGenerator creates a new RegexGenerator instance.
      Parameters:
        `fieldDeclaration` - of type Fields
        `patternString` - of type String

  - ### Method Detail

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall<Pair<Matcher,Tuple>> operationCall)

      Description copied from class: `BaseOperation`
      Method prepare does nothing, and may safely be overridden.
      Specified by:
        `prepare` in interface `Operation<Pair<Matcher,Tuple>>`
      Overrides:
        `prepare` in class `BaseOperation<Pair<Matcher,Tuple>>`

    - #### operate

          public void operate(FlowProcess flowProcess,
                     FunctionCall<Pair<Matcher,Tuple>> functionCall)

      Description copied from interface: `Function`
      Method operate provides the implementation of this Function.
      Specified by:
        `operate` in interface `Function<Pair<Matcher,Tuple>>`
      Parameters:
        `flowProcess` - of type FlowProcess
        `functionCall` - of type FunctionCall

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.